# Payment

`POST https://api.paybeta.ng/v2/cable/purchase`

Authentication: `P-API-KEY` header.

## Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `service` | string | yes |  |
| `smartCardNumber` | string | yes |  |
| `amount` | integer | yes |  |
| `packageCode` | string | yes |  |
| `customerName` | string | yes |  |
| `reference` | string | yes |  |

## Request: Request body

```json
{
    "service": "dstv",
    "smartCardNumber": "806***82",
    "amount": 200,
    "packageCode": "COMPLE36",
    "customerName": "JOHN DOE",
    "reference": "{{$timestamp}}"
}
```

## Response 200: Success

```json
{
    "status": "successful",
    "message": "Transaction successful",
    "data": {
        "reference": "1715458530",
        "amount": 201,
        "chargedAmount": 197.99,
        "commission": 3.02,
        "biller": "DStv Compact Plus",
        "customerId": "8216167618",
        "token": null,
        "unit": null,
        "bonusToken": null,
        "transactionDate": "2024-05-11 21:15:31",
        "transactionId": "17154585319693132432"
    }
}
```
